import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { UnknownValuePlotting } from "igniteui-react-core/ES2015/UnknownValuePlotting";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core/ES2015/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { Clipper } from "igniteui-react-core/ES2015/Clipper";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare class RadialLineSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    oj: RadialLineSeriesView;
    constructor();
    ac(): void;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hp(a: boolean, b: SeriesView): void;
    ne(a: RadialFrame, b: RadialBaseView): void;
    ok: UnknownValuePlotting;
    protected is(a: any, b: string, c: any, d: any): void;
    protected get_ns(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialLineSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected cw: RadialLineSeries;
    constructor(a: RadialLineSeries);
    private c0;
    private cz;
    private c1;
    cx(): void;
    cy(a: number, b: List$1<number[]>, c: boolean, d: UnknownValuePlotting, e: Clipper, f: number, g: number): void;
    protected a8(): void;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    protected ac(): void;
}
